Net::Hotline::PrivateChat(3pm)

NAME
Net::Hotline::PrivateChat - Private chat object used internally by Net::Hotline::Client

SYNOPSIS
    use Net::Hotline::PrivateChat;

    $pchat = new Net::Hotline::PrivateChat;

    $pchat->subject("Issue 1: Monkey beards");
    $pchat->reference(0x313337);
    ...

DESCRIPTION
Net::Hotline::PrivateChat is a simple class for storing and retrieving private chat information, You should never have to create your own Net::Hotline::PrivateChat objects when using Net::Hotline::Client. Getting and (to a lesser extent) setting attributes is all that should be necessary.

CONSTRUCTION

new REF, USERLIST, SUBJECT
    Creates a new Net::Hotline::PrivateChat object with the reference REF, userlist USERLIST, and subject SUBJECT, where REF is a number, USERLIST is a reference to a hash of Net::Hotline::User objects keyed by socket number, and SUBJECT is a string. Any missing arguments will be set to undef.

METHODS
All the Net::Hotline::PrivateChat methods are simple attribute get/set routines. If given an argument, they set an attribute. In all cases, they return the current value of the attribute.

reference NUM
    The private chat reference number.

subject TEXT
    The subject of the private chat.

userlist HASHREF
    The list of users in the private chat.

AUTHOR
John C. Siracusa (siracusa@mindspring.com)

COPYRIGHT
Copyright(c) 1999 by John Siracusa. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.